For Developers

Fetch Application

GET https://ed.link/api/v2/teams/:team_id/applications/:application_id

Fetches detailed metadata for a single team-owned application.

Permissions

Requires the applications.read system permission.

Parameters

ParameterTypeRequiredDescription
:team_idUUIDYesThe ID of the team.
:application_idUUIDYesThe ID of the application.

Sample Request

const response = await axios.get(
    `https://ed.link/api/v2/teams/${team_id}/applications/${application_id}`,
    {
        headers: {
            authorization: `Bearer ${user_session_token}`
        }
    }
);

Sample Response

{
    "$data": {
        "id": "7ebf2dc9-ab3b-448f-9b15-0b38e71f81c9",
        "created_date": "2024-01-15T08:00:00.000Z",
        "updated_date": "2024-06-20T12:00:00.000Z",
        "name": "Acme Learning Portal",
        "description": "Interactive learning platform integration",
        "origin": "https://portal.acmelearning.com"
    }
}